Failed to compile RUST

  • 187 Views
  • Last Post 04 March 2019
Joshua posted this 20 February 2019

Hello! I'm having a bit of trouble with the Rust module on AMP. I've installed the server, and it is working correctly with the vanilla setup. But i installed Umod, and got that running, it will display 0 plugins so the mod is installed properly on the server. But when i install a plugin, it does not load said plugin correctly, i have tried multiple plugins. it seems to be to do with a missing c++ compiler on my system. I'll post debug at the end. I have attempted to install GNU, G++ and C++ compilers on my Linux system via Apt install. And have even gone so far as to set the file permissions to 777 for any dir containing program files for the compilers themselves.

This is the error in console: 17:08:11Listing 1 plugins: 01 AntiOfflineRaid - Failed to compile: compiler version Unknown couldn't be started

Below is the debug info: OS Linux Platform Linux cloud3399843.nitrado.cloud 4.4.0-141-generic #167-Ubuntu SMP Wed Dec 5 10:40:15 UTC 2018 x8664 x8664 x8664 GNU/Linux System Type x8664 Virtualization QEMU_KVM Module RustModule Loaded Plugins EmailSender, FileManager, PushBulletPlugin, LocalFileBackupPlugin Application Name AMP Application Version 1.7.2.6 Release Stream Release Build Date 31/01/2019 15:11 InstanceID 93fd6e42-1cbb-4a4f-adf0-4ce05eb5bf38 Last Executable ./rust/258550/RustDedicated Last Arguments -batchmode -nographics -logFile +rcon.password "HIDDEN" +server.port "28015" +rcon.port "HIDDEN" +server.ip "0.0.0.0" +server.seed "6738" +server.hostname "Sassy's Lounge" +server.level "Procedural Map" +server.description "Yeet Fam <3" +server.headerimage="" ""="" +server.url="" ""="" +server.maxplayers="" "50"="" +antihack.enabled="" "true"="" +server.worldsize="" "4000"="" +server.saveinterval="" "3600"="" +server.pve="" "false"="" +rcon.web="" "false"="" +server.headerimage="" ""="" +server.url="" ""="" +server.maxplayers="" "50"="" +antihack.enabled="" "true"="" +server.worldsize="" "4000"="" +server.saveinterval="" "3600"="" +server.pve="" "false"="" +rcon.web="">

Order By: Standard | Newest | Votes
Mike posted this 20 February 2019

This is a bug in Rust/Oxide - it's not AMP related, my understanding is they've shipped an update that sorts this.

Wulf posted this 04 March 2019

I'd suggest checking on your server for the MONO_TLS_PROVIDER environment variable to see if/what it is set to. The issue you are having is not really related to Oxide itself, just that something is set on your server that is preventing the Mono version that comes with the game from connecting to any site using TLS for their HTTPS connection.

The URL we use with downloading our plugin compiler (Compiler.exe, Compiler.x86, and Compiler.x86x64)_ is https://nyc3.digitaloceanspaces.com/umod-01/ which supports TLS 1.0, 1.1, and 1.2. We've been using this URL for at least half a year at this point, so we know that it isn't an issue with the URL as it is actively used daily during installs and update checks to the compiler.

Mike posted this 04 March 2019

Tomorrows nightly has a change in it that explicitly sets MONO_TLS_PROVIDER to a sane value for Rust, I've not tested it since it's an educated guess but see how that behaves.

Close